org.apache.tiles.el

## Class ELAttributeEvaluator

- java.lang.Object
- - org.apache.tiles.core.evaluator.AbstractAttributeEvaluator
  - - org.apache.tiles.el.ELAttributeEvaluator

- All Implemented Interfaces:
    AttributeEvaluator

      public class ELAttributeEvaluator
      extends AbstractAttributeEvaluator

  Evaluates string expression with typical EL syntax.
  You can use normal EL syntax, knowing the root objects are `Request`, `ApplicationContext` and beans contained in request, session and application scope.
  Since:
    2.2.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.el.ExpressionFactory` | `expressionFactory` The EL expression factory.
    `protected javax.el.ELResolver` | `resolver` The EL resolver to use.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELAttributeEvaluator()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `evaluate(String expression, Request request)` Evaluates an expression.
    `void` | `setExpressionFactory(javax.el.ExpressionFactory expressionFactory)` Sets the expression factory to use.
    `void` | `setResolver(javax.el.ELResolver resolver)` Sets the EL resolver to use.

    - ### Methods inherited from class org.apache.tiles.core.evaluator.AbstractAttributeEvaluator

      `evaluate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### expressionFactory

          protected javax.el.ExpressionFactory expressionFactory

      The EL expression factory.
      Since:
        2.2.1

    - #### resolver

          protected javax.el.ELResolver resolver

      The EL resolver to use.
      Since:
        2.2.1

  - ### Constructor Detail

    - #### ELAttributeEvaluator

          public ELAttributeEvaluator()

      Constructor.
      Since:
        2.2.1

  - ### Method Detail

    - #### setExpressionFactory

          public void setExpressionFactory(javax.el.ExpressionFactory expressionFactory)

      Sets the expression factory to use.
      Parameters:
        `expressionFactory` - The expression factory.
      Since:
        2.2.1

    - #### setResolver

          public void setResolver(javax.el.ELResolver resolver)

      Sets the EL resolver to use.
      Parameters:
        `resolver` - The EL resolver.
      Since:
        2.2.1

    - #### evaluate

          public Object evaluate(String expression,
                                 Request request)

      Evaluates an expression.
      Parameters:
        `expression` - The expression to evaluate.
        `request` - The request object.
      Returns:
        The evaluated object.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.